View Issue Details

IDProjectCategoryView StatusLast Update
0005949GNUnetbuild processpublic2019-12-15 15:18
Reporterng0Assigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.11.6 
Target Version0.12.0Fixed in Version0.12.0 
Summary0005949: check if lint can be restructered and if this error is still in HEAD
DescriptionMaking all in lint
--- check-bashism ---
--- check-python ---
--- check-man ---
--- check-texinfo ---
--- check-bashism ---
printf "Run checkbashism on all .sh files.\n"
Run checkbashism on all .sh files.
printf "Currently this expects checkbashism.pl at a fixed location."
Currently this expects checkbashism.pl at a fixed location.find '..' -type f ! -path '*/.*' ! -path '*/_*' -name '*.sh' -print0 | xargs -0 ./checkbashisms.pl -f 2>&1 | tee ./bashism.log || true
--- check-python ---
printf "Running flake8 and 2to3 if detected.\n"
Running flake8 and 2to3 if detected.
../contrib/scripts/lint-python.sh || true
sh: ../contrib/scripts/lint-python.sh: not found
--- check-man ---
printf "Running lint-man.sh in doc/man.\n"
Running lint-man.sh in doc/man.
sh: ../../contrib/scripts/lint-man.sh: not found
--- checkbashisms.pl ---
--- check-texinfo ---
printf "Running basic texinfo linters\n"
Running basic texinfo linters
printf "...lines containing tabstops?\n" 2>&1 | tee ../doc/handbook/texinfo_handbook.log || true
--- checkbashisms.pl ---
/usr/bin/sed -e 's,[@]PERL[@],/usr/work/wip/gnunet/work/.tools/bin/perl,g' < ./checkbashisms.pl.in > checkbashisms.pl
--- check-texinfo ---
...lines containing tabstops?
printf "...lines containing tabstops?\n" 2>&1 | tee ../doc/tutorial/texinfo_tutorial.log || true
--- checkbashisms.pl ---
chmod +x checkbashisms.pl
--- check-texinfo ---
...lines containing tabstops?
--- check-bashism ---
./checkbashisms.pl: use: not found
./checkbashisms.pl: use: not found
./checkbashisms.pl: 25: Syntax error: "(" unexpected
--- check-texinfo ---
cd: can't cd to ../doc/tutorial
printf "...line length over 79 chars?\n" 2>&1 | tee ../doc/handbook/texinfo_handbook.log || true
tee: ../doc/handbook/texinfo_handbook.log: No such file or directory
...line length over 79 chars?
cd: can't cd to ../doc/handbook
printf "...line length over 79 chars?\n" 2>&1 | tee ../doc/tutorial/texinfo_tutorial.log || true
tee: ../doc/tutorial/texinfo_tutorial.log: No such file or directory
...line length over 79 chars?
cd: can't cd to ../doc/tutorial
printf "...lines containing macros incompatible with old makeinfo?\n" 2>&1 | tee -a ../doc/handbook/texinfo_handbook.log || true
tee: ../doc/handbook/texinfo_handbook.log: No such file or directory
...lines containing macros incompatible with old makeinfo?
cd: can't cd to ../doc/handbook
printf "...lines containing macros incompatible with old makeinfo?\n" 2>&1 | tee -a ../doc/tutorial/texinfo_tutorial.log || true
tee: ../doc/tutorial/texinfo_tutorial.log: No such file or directory
...lines containing macros incompatible with old makeinfo?
cd: can't cd to ../doc/tutorial
printf "...lines containing macros incompatible with texi2mdoc?\n" 2>&1 | tee -a ../doc/handbook/texinfo_handbook.log || true
tee: ../doc/handbook/texinfo_handbook.log: No such file or directory
...lines containing macros incompatible with texi2mdoc?
cd: can't cd to ../doc/handbook
printf "...lines containing macros incompatible with texi2mdoc?\n" 2>&1 | tee -a ../doc/tutorial/texinfo_tutorial.log || true
tee: ../doc/tutorial/texinfo_tutorial.log: No such file or directory
...lines containing macros incompatible with texi2mdoc?
cd: can't cd to ../doc/tutorial
printf "...lines telling us what is left TODO or to fix?\n" 2>&1 | tee -a ../doc/handbook/texinfo_handbook.log || true
tee: ../doc/handbook/texinfo_handbook.log: No such file or directory
...lines telling us what is left TODO or to fix?
cd: can't cd to ../doc/handbook
cd: can't cd to ../doc/handbook
printf "...lines telling us what is left TODO or to fix?\n" 2>&1 | tee -a ../doc/tutorial/texinfo_tutorial.log || true
tee: ../doc/tutorial/texinfo_tutorial.log: No such file or directory
...lines telling us what is left TODO or to fix?
cd: can't cd to ../doc/tutorial
cd: can't cd to ../doc/tutorial
TagsNo tags attached.

Activities

ng0

2019-10-27 12:38

developer   ~0015034

I forgot that this only happens with --enable-experimental

ng0

2019-11-20 01:31

developer   ~0015088

fixed by moving to top Makefile

schanzen

2019-12-15 15:18

manager   ~0015177

0.12.0 released

Issue History

Date Modified Username Field Change
2019-10-26 12:13 ng0 New Issue
2019-10-26 12:13 ng0 Status new => assigned
2019-10-26 12:13 ng0 Assigned To => ng0
2019-10-27 12:38 ng0 Note Added: 0015034
2019-10-27 12:38 ng0 Target Version 0.11.7 => 0.12.0
2019-11-16 18:40 Christian Grothoff Target Version 0.12.0 =>
2019-11-20 01:30 ng0 Fixed in Version => 0.12.0
2019-11-20 01:30 ng0 Target Version => 0.12.0
2019-11-20 01:31 ng0 Status assigned => resolved
2019-11-20 01:31 ng0 Resolution open => fixed
2019-11-20 01:31 ng0 Note Added: 0015088
2019-12-15 15:18 schanzen Note Added: 0015177
2019-12-15 15:18 schanzen Status resolved => closed